<?php
	//PERFORMING PORTFOLIO POST LAYOUT...
	$page_layout = mytheme_option('specialty', 'archives-layout');
	$page_layout = !empty($page_layout) ? $page_layout : 'with-left-sidebar';
	
	$post_layout = mytheme_option('specialty', 'archives-post-layout');
	$post_layout = !empty($post_layout) ? $post_layout : 'one-column';
	
	$li_class = "";
	$feature_image = "";
	
	//POST LAYOUT CHECK...
	if($post_layout == "one-column") {
		$li_class = "portfolio dt-sc-one-column column";
		$feature_image = "portfolio-onecol";
	}
	elseif($post_layout == "one-half-column") {
		$li_class = "portfolio dt-sc-one-half column";
		$feature_image = "portfolio-twocol";
	}
	elseif($post_layout == "one-third-column") {
		$li_class = "portfolio dt-sc-one-third column";
		$feature_image = "portfolio-threecol";
	}
	elseif($post_layout == "one-fourth-column") {
		$li_class = "portfolio dt-sc-one-fourth column";
		$feature_image = "portfolio-fourcol";
	}
	
	//PAGE LAYOUT CHECK...
	if($page_layout != "content-full-width") {
		$li_class = $li_class." with-sidebar";
		$feature_image = $feature_image."-sidebar";
	}

	global $wp_query;	//FOR PAGINATION PURPOSE...
	if(have_posts()): ?>
     
     <div class="portfolio-container"><?php
		while(have_posts()): the_post(); ?>
			<div class="<?php echo esc_attr($li_class); ?>">
              <div class="portfolio-thumb"><?php
				$fullimg = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full', false);
				$currenturl = $fullimg[0];
				$currenticon = "icon-search";
				$pmeta_set = get_post_meta($post->ID, '_portfolio_settings', true);
				if( array_key_exists('items_thumbnail', $pmeta_set) && ($pmeta_set ['items_name'] [0] == 'video' )) {
					$currenturl = $pmeta_set ['items'][0];
					$currenticon = "icon-facetime-video";
				}
				//PORTFOLIO IMAGES...
				if(has_post_thumbnail()): 
					$attr = array('title' => get_the_title(), 'alt' => get_the_title()); 
					the_post_thumbnail($feature_image, $attr); 
				else: ?>
					<img src="http://placehold.it/680X350.jpg&text=<?php the_title(); ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" /><?php
				endif; ?>
				<div class="image-overlay">
					<a class="link" href="<?php the_permalink(); ?>"> <span class="icon-link"> </span> </a>                
					<a class="zoom" title="<?php the_title(); ?>" data-gal="prettyPhoto[gallery]" href="<?php echo esc_url($currenturl); ?>"><span class="<?php echo esc_attr($currenticon); ?>"> </span></a>
				</div>                        
              </div>
              <div class="portfolio-detail">
                <div class="portfolio-title">
                    <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                    <p><?php echo get_the_term_list($post->ID, 'portfolio_entries', ' ', ', ', ' '); ?></p>
                </div>
                <?php if(mytheme_is_plugin_active('roses-like-this/likethis.php')): ?>
                    <div class="views">
                        <span><i class="icon-heart"></i><br><?php printLikes($post->ID); ?></span>
                    </div>
                <?php endif; ?>    
              </div>
	        </div><?php
		endwhile; ?>
     </div>
     <div class="margin40"></div><?php
	 //Pagination...
	 if($wp_query->max_num_pages > 1): ?>
		<div class="pagination">
			<ul><?php if(function_exists("my_pagination")) echo my_pagination("", $wp_query->max_num_pages, $wp_query); ?></ul>
		</div><?php
	 endif;
	 wp_reset_query($wp_query);
	 else: ?>
		<h2><?php _e('Nothing Found.', 'dt_themes'); ?></h2>
		<p><?php _e('Apologies, but no results were found for the requested archive.', 'dt_themes'); ?></p><?php
	endif; ?>