<?php get_header();

	while(have_posts()): the_post();
	
	  //GETTING META VALUES...
	  $meta_set = get_post_meta($post->ID, '_portfolio_settings', true);
	  $page_layout = !empty($meta_set['layout']) ? $meta_set['layout'] : 'single-portfloio-layout-one'; ?>
	
	  <div class="banner"></div>
      <!-- Page Section Starts here -->
      <section id="post-<?php the_ID(); ?>" <?php post_class('content inner-page'); ?>>
          <div class="main-title">
              <div class="container">
                  <h1><?php the_title(); ?></h1>
              </div>
          </div>
          <div class="content-main">                
              <div class="container">
              
                  <!-- Primary -->
                  <div id="primary" class="content-full-width"><?php
					//CHECKING LAYOUTs...
                	if($page_layout == "single-portfloio-layout-one"):
						include(dirname(__FILE__).'/inc/port-single-layout-one.php');
					else:
						include(dirname(__FILE__).'/inc/port-single-layout-two.php');
					endif;
					
					if(isset($meta_set['show-related-items']) != ""):
					
						//FOR RELATED PROJECTS...
						$cats = array();
						$terms = get_the_terms( $post->ID, 'portfolio_entries' );					
						if($terms && !is_wp_error($terms)):
							foreach ( $terms as $term ) { $cats[] = $term->term_id; }
						endif;
						
						$args = array('orderby' =>	'rand', 'post_type' => 'dt_portfolios', 'post__not_in' => array(get_the_ID()), 'posts_per_page' => 4,
									  'tax_query' => array( array( 'taxonomy' => 'portfolio_entries', 'field' => 'id', 'operator' => 'IN', 'terms'=>$cats )));
						
						$the_query = new WP_Query($args);
						if($the_query->have_posts()): ?>
                        
                        <div class="margin40"></div>
                        <h4><?php _e('Related Projects', 'dt_themes'); ?></h4>
                            <div class="margin20"></div>                    
                            <div class="portfolio-container"><?php
								while($the_query->have_posts()): $the_query->the_post(); ?>
                                    <div class="portfolio dt-sc-one-fourth column">
                                      <div class="portfolio-thumb"><?php
                                        $fullimg = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full', false);
                                        $currenturl = $fullimg[0];
                                        $currenticon = "icon-search";
                                        $pmeta_set = get_post_meta($post->ID, '_portfolio_settings', true);
                                        if( array_key_exists('items_thumbnail', $pmeta_set) && ($pmeta_set ['items_name'] [0] == 'video' )) {
                                            $currenturl = $pmeta_set ['items'] [0];
                                            $currenticon = "icon-facetime-video";
                                        }
                                        //PORTFOLIO IMAGES...
                                        if(has_post_thumbnail()): 
                                            $attr = array('title' => get_the_title(), 'alt' => get_the_title()); 
                                            the_post_thumbnail('portfolio-fourcol', $attr); 
                                        else: ?>
                                            <img src="http://placehold.it/680X350.jpg&text=<?php the_title(); ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" /><?php
                                        endif; ?>
                                        <div class="image-overlay">
                                            <a class="link" href="<?php the_permalink(); ?>"> <span class="icon-link"> </span> </a>                
                                            <a class="zoom" title="<?php the_title(); ?>" data-gal="prettyPhoto[gallery]" href="<?php echo esc_url($currenturl); ?>"><span class="<?php echo esc_attr($currenticon); ?>"> </span></a>
                                        </div>                        
                                      </div>
                                      <div class="portfolio-detail">
                                        <div class="portfolio-title">
                                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                            <p><?php echo get_the_term_list($post->ID, 'portfolio_entries', ' ', ', ', ' '); ?></p>
                                        </div>
                                        <?php if(mytheme_is_plugin_active('roses-like-this/likethis.php')): ?>
                                            <div class="views">
                                                <span><i class="icon-heart"></i><br><?php printLikes($post->ID); ?></span>
                                            </div>
                                        <?php endif; ?>    
                                      </div>
                                    </div><?php
								endwhile; ?>
                            </div><?php
						endif;	
				    endif; ?>
                  </div><!-- Primary -->
              
              </div>
          </div>
      </section><!-- Page Section Ends here -->
      
	<?php endwhile; ?>

<?php get_footer(); ?>