(function() {
    tinymce.PluginManager.add('DTCoreShortcodePlugin', function( editor, url ) {
		
		var dummy_conent = "Lorem ipsum dolor sit amet, consectetur"
				+ " adipiscing elit. Morbi hendrerit elit turpis,"
				+ " a porttitor tellus sollicitudin at."
				+ " Class aptent taciti sociosqu ad litora "
				+ " torquent per conubia nostra,"
				+ " per inceptos himenaeos.",

		dummy_tabs = '<br>[dt_sc_tab title="What is Lorem Ipsum?"]'
				+ "<br>" + dummy_conent + "<br>" + '[/dt_sc_tab]' + "<br>"
				+ '[dt_sc_tab title="Where does it come from?"]' + "<br>"
				+ dummy_conent + "<br>" + '[/dt_sc_tab]' + "<br>"
				+ '[dt_sc_tab title="Why do we use it?"]' + "<br>"
				+ dummy_conent + "<br>" + '[/dt_sc_tab]<br>';
				
        editor.addButton( 'designthemes_sc_button', {
            title: 'Insert Shortcode',
            type: 'menubutton',
			icon: 'dt-icon',
            menu: [
                {
                    text: 'Accordion',
                    menu: [
                        {
                            text: 'Default',
                            value: '[dt_sc_accordion_group]'
								+'<br>[dt_sc_toggle title="What is Lorem Ipsum?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle]'
								+'<br>[dt_sc_toggle title="Where does it come from?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle]'
								+'<br>[dt_sc_toggle title="Why do we use it?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle]'
								+'<br>[/dt_sc_accordion_group]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        },
                        {
                            text: 'Framed',
                            value: '[dt_sc_accordion_group]'
								+'<br>[dt_sc_toggle_framed title="What is Lorem Ipsum?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle_framed]'
								+'<br>[dt_sc_toggle_framed title="Where does it come from?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle_framed]'
								+'<br>[dt_sc_toggle_framed title="Why do we use it?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle_framed]'
								+'<br>[/dt_sc_accordion_group]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        }
                    ]
                },
                {
                    text: 'Box',
                    value: 'box',
                    onclick: function() {
					editor.windowManager.open( {
							title: 'Insert Box',
							body: [{
								type: 'listbox',
								name: 'type',
								label: 'Type',
								tooltip: 'Select which type of box you will use',
								'values': [
									{text: 'Titled Box', value: 'titled-box'}, {text: 'Error Box', value: 'error-box'}, {text: 'Warning Box', value: 'warning-box'},
									{text: 'Success Box', value: 'success-box'}, {text: 'Info Box', value: 'info-box'}
								]
							},
							{
								type: 'textbox',
								name: 'title',
								label: 'Title',
								tooltip: 'Your title applicable for titled box only'
							},
							{
								type: 'textbox',
								name: 'bgcolor',
								label: 'Background Color',
								classes: 'dt-color-picker',
								tooltip: 'Select background color of box',
								onPostRender: function(e){
									jQuery('.mce-dt-color-picker').wpColorPicker();
								},
							},
							{
								type: 'listbox', 
								name: 'variation', 
								label: 'Variation',
								tooltip: 'Select color variation of box',
								'values': [
									{text: 'Choose Option', value: ''}, {text: 'Blue', value: 'blue'}, {text: 'Chocolate', value: 'chocolate'}, {text: 'Coral', value: 'coral'},
									{text: 'Cyan', value: 'cyan'}, {text: 'Eggplant', value: 'eggplant'}, {text: 'Electricblue', value: 'electricblue'}, {text: 'Ferngreen', value: 'ferngreen'},
									{text: 'Gold', value: 'gold'}, {text: 'Green', value: 'green'}, {text: 'Grey', value: 'grey'}, {text: 'Khaki', value: 'khaki'}, {text: 'Ocean', value: 'ocean'},
									{text: 'Orange', value: 'orange'}, {text: 'Palebrown', value: 'palebrown'}, {text: 'Pink', value: 'pink'}, {text: 'Purple', value: 'purple'},
									{text: 'Raspberry', value: 'raspberry'}, {text: 'Red', value: 'red'}, {text: 'Skyblue', value: 'skyblue'}, {text: 'Slateblue', value: 'slateblue'}
								]
							},
							{
								type: 'textbox',
								name: 'textcolor',
								label: 'Text Color',
								classes: 'dt-color-picker',								
								tooltip: 'Select text color of box',
								onPostRender: function(e){
									jQuery('.mce-dt-color-picker').wpColorPicker();
								},
							}],
							onsubmit: function( e ) {
								var $out = '[dt_sc_box';
								
								jQuery.each( e.data, function( key, value ) {
									if(value !== "") {
										$out += ' ' + key + '="'+ value+'"';
									}
								});
								
								$out += ']Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi hendrerit elit turpis, a porttitor tellus sollicitudin at. Class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos.,[/dt_sc_box]';
								editor.insertContent( $out );
							}
						});
                    }
                },
                {
                    text: 'Button',
                    value: 'button',
                    onclick: function() {
					editor.windowManager.open( {
							title: 'Insert Button',
							body: [{
								type: 'textbox',
								name: 'content',
								label: 'Title',
								value: 'Click me!',
								tooltip: 'Type button text'
							},
							{
								type: 'textbox',
								name: 'link',
								label: 'Link',
								tooltip: 'Optional link (e.g. http://google.com)'
							},
							{
								type: 'listbox',
								name: 'size',
								label: 'Size',
								tooltip: 'Select size of button',
								'values': [
									{text: 'Small', value: 'small'}, {text: 'Medium', value: 'medium'},
									{text: 'Large', value: 'large'}, {text: 'Xlarge', value: 'xlarge'}
								]
							},
							{
								type: 'textbox',
								name: 'bgcolor',
								label: 'Background Color',
								classes: 'dt-color-picker',
								tooltip: 'Select background color of box',
								onPostRender: function(e){
									jQuery('.mce-dt-color-picker').wpColorPicker();
								},
							},
							{
								type: 'listbox', 
								name: 'variation', 
								label: 'Variation',
								tooltip: 'Select color variation of button',
								'values': [
									{text: 'Choose Option', value: ''}, {text: 'Blue', value: 'blue'}, {text: 'Chocolate', value: 'chocolate'}, {text: 'Coral', value: 'coral'},
									{text: 'Cyan', value: 'cyan'}, {text: 'Eggplant', value: 'eggplant'}, {text: 'Electricblue', value: 'electricblue'}, {text: 'Ferngreen', value: 'ferngreen'},
									{text: 'Gold', value: 'gold'}, {text: 'Green', value: 'green'}, {text: 'Grey', value: 'grey'}, {text: 'Khaki', value: 'khaki'}, {text: 'Ocean', value: 'ocean'},
									{text: 'Orange', value: 'orange'}, {text: 'Palebrown', value: 'palebrown'}, {text: 'Pink', value: 'pink'}, {text: 'Purple', value: 'purple'},
									{text: 'Raspberry', value: 'raspberry'}, {text: 'Red', value: 'red'}, {text: 'Skyblue', value: 'skyblue'}, {text: 'Slateblue', value: 'slateblue'}
								]
							},
							{
								type: 'textbox',
								name: 'textcolor',
								label: 'Text Color',
								classes: 'dt-color-picker',								
								tooltip: 'Select button text color',
								onPostRender: function(e){
									jQuery('.mce-dt-color-picker').wpColorPicker();
								},
							},
							{
								type: 'listbox',
								name: 'align', 
								label: 'Align',
								tooltip: 'Select button alignment',
								'values': [
									{text: 'Left', value: 'left'}, {text: 'Center', value: 'center'}, {text: 'Right', value: 'right'}
								]
							},
							{
								type: 'listbox',
								name: 'target', 
								label: 'Target',
								tooltip: 'Setting target to _blank will open your link in new tab',
								'values': [
									{text: 'Blank', value: '_blank'}, {text: 'New', value: '_new'}, {text: 'Parent', value: '_parent'},
									{text: 'Self', value: '_self'}, {text: 'Top', value: '_top'}									
								]
							}],
							onsubmit: function( e ) {
								var $out = '[dt_sc_button';

								jQuery.each( e.data, function( key, value ) {
									if(value !== "" && key != 'content') {
										$out += ' ' + key + '="'+ value+'"';
									}
								});

								if(e.data.content == "") {
									$out += ']' + e.data.content;
								} else {
									$out += ']' + 'Click me!';
								}

								$out += '[/dt_sc_button]';
								editor.insertContent( $out );
							}
						});
                    }
                },
				{
                    text: 'Column Layout',
                    value: 'column',
                    onclick: function(e) {
						e.stopPropagation();						
						tinyMCE.activeEditor.execCommand("scnOpenDialog", {title: this.text() ,identifier: "column"});
                    }
				},
                {
                    text: 'Dividers',
                    menu: [
                        {
                            text: 'Horizontal Rule',
                            value: '<br>[dt_sc_hr /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Horizontal Rule Medium',
                            value: '<br>[dt_sc_hr_medium /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Horizontal Rule Large',
                            value: '<br>[dt_sc_hr_large /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Horizontal Rule with top link',
                            value: '<br>[dt_sc_hr top /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Whitespace',
                            value: '<br>[dt_sc_hr_invisible /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Whitespace Medium',
                            value: '<br>[dt_sc_hr_invisible_medium /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Whitespace Large',
                            value: '<br>[dt_sc_hr_invisible_large /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Clear',
                            value: '<br>[dt_sc_clear /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        }
                    ]
                },
				{
                    text: 'Lists',
                    menu: [
                        {
                            text: 'Ordered List',
							value: 'orderedlist',
							onclick: function() {
							editor.windowManager.open( {
									title: 'Insert Ordered List',
									body: [{
										type: 'listbox',
										name: 'style',
										label: 'Style',
										tooltip: 'Select the style of list that you wish to use',
										'values': [
											{text: 'Decimal (Default)', value: 'decimal'}, {text: 'Decimal Leading Zero', value: 'decimal-leading-zero'}, {text: 'Lower Alpha', value: 'lower-alpha'},
											{text: 'Lower Roman', value: 'lower-roman'}, {text: 'Upper Alpha', value: 'upper-alpha'}, {text: 'Upper Roman', value: 'upper-roman'}
										]
									},
									{
										type: 'listbox', 
										name: 'variation', 
										label: 'Variation',
										tooltip: 'Select color skin of list',
										'values': [
											{text: 'Choose Option', value: ''}, {text: 'Blue', value: 'blue'}, {text: 'Chocolate', value: 'chocolate'}, {text: 'Coral', value: 'coral'},
											{text: 'Cyan', value: 'cyan'}, {text: 'Eggplant', value: 'eggplant'}, {text: 'Electricblue', value: 'electricblue'}, {text: 'Ferngreen', value: 'ferngreen'},
											{text: 'Gold', value: 'gold'}, {text: 'Green', value: 'green'}, {text: 'Grey', value: 'grey'}, {text: 'Khaki', value: 'khaki'}, {text: 'Ocean', value: 'ocean'},
											{text: 'Orange', value: 'orange'}, {text: 'Palebrown', value: 'palebrown'}, {text: 'Pink', value: 'pink'}, {text: 'Purple', value: 'purple'},
											{text: 'Raspberry', value: 'raspberry'}, {text: 'Red', value: 'red'}, {text: 'Skyblue', value: 'skyblue'}, {text: 'Slateblue', value: 'slateblue'}
										]
									}],
									onsubmit: function( e ) {
										var $out = '[dt_sc_fancy_ol';
										
										jQuery.each( e.data, function( key, value ) {
											if(value !== "" && key != 'content') {
												$out += ' ' + key + '="'+ value+'"';
											}
										});
										
										$out += ']<ol>' + '<li>Lorem ipsum dolor sit </li>'
										+ '<li>Praesent convallis nibh</li>'
										+ '<li>Nullam ac sapien sit</li>'
										+ '<li>Phasellus auctor augue</li></ol><br>[/dt_sc_fancy_ol]';
										editor.insertContent( $out );
									}
								});
							}							
						},
                        {
                            text: 'Unordered List',
							value: 'unorderedlist',
							onclick: function() {
							editor.windowManager.open( {
									title: 'Insert Unordered List',
									body: [{
										type: 'listbox',
										name: 'style',
										label: 'Style',
										tooltip: 'Select the style of list that you wish to use',
										'values': [
											{text: 'Arrow (Default)', value: 'arrow'}, {text: 'Rounded Arrow', value: 'rounded-arrow'}, {text: 'Double Arrow', value: 'double-arrow'},
											{text: 'Heart', value: 'heart'}, {text: 'Trash', value: 'trash'}, {text: 'Star', value: 'star'}, {text: 'Tick', value: 'tick'},
											{text: 'Rounded Tick', value: 'rounded-tick'}, {text: 'Cross', value: 'cross'}, {text: 'Rounded Cross', value: 'rounded-cross'},
											{text: 'Rounded Question', value: 'rounded-question'}, {text: 'Delete', value: 'delete'}, {text: 'Warning', value: 'warning'}, {text: 'Comment', value: 'comment'},
											{text: 'Edit', value: 'edit'}, {text: 'Share', value: 'share'}, {text: 'Plus', value: 'plus'}, {text: 'Minus', value: 'minus'},
											{text: 'rounded-minus', value: 'rounded-minus'}, {text: 'Thumbs Down', value: 'thumbs-down'},
											{text: 'Rounded Info', value: 'rounded-info'}, {text: 'Rounded Plus', value: 'rounded-plus'}, {text: 'Asterisk', value: 'asterisk'}, {text: 'Cart', value: 'cart'},
											{text: 'Folder', value: 'folder'}, {text: 'Folder Open', value: 'folder-open'}, {text: 'Desktop', value: 'desktop'}, {text: 'Tablet', value: 'tablet'},
											{text: 'Mobile', value: 'mobile'}, {text: 'Reply', value: 'reply'}, {text: 'Quote', value: 'quote'}, {text: 'Mail', value: 'mail'},
											{text: 'External Link', value: 'external-link'}, {text: 'Adjust', value: 'adjust'}, {text: 'Pencil', value: 'pencil'},
											{text: 'Print', value: 'print'}, {text: 'Tag', value: 'tag'}, {text: 'Thumbs Up', value: 'thumbs-up'}, {text: 'Time', value: 'time'},
											{text: 'Globe', value: 'globe'}, {text: 'Pushpin', value: 'pushpin'}, {text: 'Map Marker', value: 'map-marker'}, {text: 'Link', value: 'link'},
											{text: 'Paper Clip', value: 'paper-clip'}, {text: 'Download', value: 'download'}, {text: 'Key', value: 'key'},
											{text: 'Search', value: 'search'}, {text: 'RSS', value: 'rss'}, {text: 'Twitter', value: 'twitter'}, {text: 'Facebook', value: 'facebook'},
											{text: 'LinkedIn', value: 'linkedin'}, {text: 'Google Plus', value: 'google-plus'}
										]
									},
									{
										type: 'listbox',
										name: 'variation',
										label: 'Variation',
										tooltip: 'Select color skin of list',
										'values': [
											{text: 'Choose Option', value: ''}, {text: 'Blue', value: 'blue'}, {text: 'Chocolate', value: 'chocolate'}, {text: 'Coral', value: 'coral'},
											{text: 'Cyan', value: 'cyan'}, {text: 'Eggplant', value: 'eggplant'}, {text: 'Electricblue', value: 'electricblue'}, {text: 'Ferngreen', value: 'ferngreen'},
											{text: 'Gold', value: 'gold'}, {text: 'Green', value: 'green'}, {text: 'Grey', value: 'grey'}, {text: 'Khaki', value: 'khaki'}, {text: 'Ocean', value: 'ocean'},
											{text: 'Orange', value: 'orange'}, {text: 'Palebrown', value: 'palebrown'}, {text: 'Pink', value: 'pink'}, {text: 'Purple', value: 'purple'},
											{text: 'Raspberry', value: 'raspberry'}, {text: 'Red', value: 'red'}, {text: 'Skyblue', value: 'skyblue'}, {text: 'Slateblue', value: 'slateblue'}
										]
									}],
									onsubmit: function( e ) {
										var $out = '[dt_sc_fancy_ul';
										
										jQuery.each( e.data, function( key, value ) {
											if(value !== "" && key != 'content') {
												$out += ' ' + key + '="'+ value+'"';
											}
										});
										
										$out += ']<ul>' + '<li>Lorem ipsum dolor sit </li>'
										+ '<li>Praesent convallis nibh</li>'
										+ '<li>Nullam ac sapien sit</li>'
										+ '<li>Phasellus auctor augue</li></ul><br>[/dt_sc_fancy_ul]';
										editor.insertContent( $out );
									}
								});
							}
						}
					]
				},
                {
                    text: 'Pricing Table',
                    value: 'pricingtable',
                    onclick: function(e) {
						e.stopPropagation();						
						tinyMCE.activeEditor.execCommand("scnOpenDialog", {title: this.text() ,identifier: "pricingtable"});
                    }
                },
                {
                    text: 'Progress Bar',
                    menu: [
                        {
                            text: 'Standard',
                            value: '<br>[dt_sc_progressbar value="85" type="standard" color="#9c59b6" textcolor=""]Lorem ipsum dolor[/dt_sc_progressbar]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Stripe',
                            value: '<br>[dt_sc_progressbar value="75" type="progress-striped" color="#599cb6" textcolor=""]Lorem ipsum dolor[/dt_sc_progressbar]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Active',
                            value: '<br>[dt_sc_progressbar value="45" color="#b6599c" type="progress-striped-active"]Lorem ipsum dolor[/dt_sc_progressbar]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        }
                    ]
                },
                {
                    text: 'Quotes',
                    menu: [
                        {
                            text: 'Pullquote',
							value: 'pullquote',
							onclick: function() {
							editor.windowManager.open( {
									title: 'Insert Pullquote',
									body: [{
										type: 'listbox',
										name: 'type',
										label: 'Style',
										tooltip: 'Select style of quote',
										'values': [
											{text: 'Pullquote - 1', value: 'pullquote1'}, {text: 'Pullquote - 2', value: 'pullquote2'}, {text: 'Pullquote - 3', value: 'pullquote3'},
											{text: 'Pullquote - 4', value: 'pullquote4'}, {text: 'Pullquote - 5', value: 'pullquote5'}, {text: 'Pullquote - 6', value: 'pullquote6'}
										]
									},
									{
										type: 'listbox', 
										name: 'icon', 
										label: 'Icon',
										tooltip: 'Select "Yes" to display icon',
										'values': [
											{text: 'Yes', value: 'yes'}, {text: 'No', value: 'no'}
										]
									},
									{
										type: 'listbox', 
										name: 'align', 
										label: 'Align',
										tooltip: 'Select quote alignment',
										'values': [
											{text: 'Left', value: 'left'}, {text: 'Right', value: 'right'}, {text: 'Center', value: 'center'}
										]
									},
									{
										type: 'textbox',
										name: 'textcolor',
										label: 'Text Color',
										classes: 'dt-color-picker',								
										onPostRender: function(e){
											jQuery('.mce-dt-color-picker').wpColorPicker();
										},
									},
									{
										type: 'textbox',
										name: 'cite',
										label: 'Cite Name',
										tooltip: 'This should display at the end of quote'
									}],
									onsubmit: function( e ) {
										var $out = '[dt_sc_pullquote';
										
										jQuery.each( e.data, function( key, value ) {
											if(value !== "") {
												$out += ' ' + key + '="'+ value+'"';
											}
										});
										
										$out += ']Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac luctus ligula. Phasellus a ligula blandit[/dt_sc_pullquote]';
										editor.insertContent( $out );
									}
								});
							}							
						},
                        {
                            text: 'Blockquote',
							value: 'blockquote',
							onclick: function() {
							editor.windowManager.open( {
									title: 'Insert Blockquote',
									body: [{
										type: 'listbox',
										name: 'align',
										label: 'Align',
										tooltip: 'Select alignment of quote',
										'values': [
											{text: 'Left', value: 'left'}, {text: 'Right', value: 'right'}, {text: 'Center', value: 'center'}
										]
									},
									{
										type: 'listbox', 
										name: 'variation', 
										label: 'Variation', 
										tooltip: 'Select skin color of quote',
										'values': [
											{text: 'Choose Option', value: ''}, {text: 'Blue', value: 'blue'}, {text: 'Chocolate', value: 'chocolate'}, {text: 'Coral', value: 'coral'},
											{text: 'Cyan', value: 'cyan'}, {text: 'Eggplant', value: 'eggplant'}, {text: 'Electricblue', value: 'electricblue'}, {text: 'Ferngreen', value: 'ferngreen'},
											{text: 'Gold', value: 'gold'}, {text: 'Green', value: 'green'}, {text: 'Grey', value: 'grey'}, {text: 'Khaki', value: 'khaki'}, {text: 'Ocean', value: 'ocean'},
											{text: 'Orange', value: 'orange'}, {text: 'Palebrown', value: 'palebrown'}, {text: 'Pink', value: 'pink'}, {text: 'Purple', value: 'purple'},
											{text: 'Raspberry', value: 'raspberry'}, {text: 'Red', value: 'red'}, {text: 'Skyblue', value: 'skyblue'}, {text: 'Slateblue', value: 'slateblue'}
										]
									},									
									{
										type: 'textbox',
										name: 'textcolor',
										label: 'Text Color',
										classes: 'dt-color-picker',
										onPostRender: function(e){
											jQuery('.mce-dt-color-picker').wpColorPicker();
										},
									},
									{
										type: 'textbox',
										name: 'cite',
										label: 'Cite Name',
										tooltip: 'This should display at the end of quote'
									}],
									onsubmit: function( e ) {
										var $out = '[dt_sc_blockquote';
										
										jQuery.each( e.data, function( key, value ) {
											if(value !== "") {
												$out += ' ' + key + '="'+ value+'"';
											}
										});
										
										$out += ']Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac luctus ligula. Phasellus a ligula blandit[/dt_sc_blockquote]';
										editor.insertContent( $out );
									}
								});
							}
                        }
                    ]
                },
                {
                    text: 'Tabs',
                    menu: [
                        {
                            text: 'Horizontal',
                            value: '[dt_sc_tabs_horizontal]' + dummy_tabs + '[/dt_sc_tabs_horizontal]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        },
                        {
                            text: 'Horizontal Frameless',
                            value: '[dt_sc_tabs_horizontal_frame_less]' + dummy_tabs + '[/dt_sc_tabs_horizontal_frame_less]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        },
                        {
                            text: 'Vertical',
                            value: '[dt_sc_tabs_vertical]' + dummy_tabs + '[/dt_sc_tabs_vertical]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                    ]
                },
                {
                    text: 'Toggle',
                    menu: [
                        {
                            text: 'Default',
                            value: '[dt_sc_toggle title="What is Lorem Ipsum?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle]'
								+'<br>[dt_sc_toggle title="Where does it come from?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle]'
								+'<br>[dt_sc_toggle title="Why do we use it?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        },
                        {
                            text: 'Framed',
                            value: '[dt_sc_toggle_framed title="What is Lorem Ipsum?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle_framed]'
								+'<br>[dt_sc_toggle_framed title="Where does it come from?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle_framed]'
								+'<br>[dt_sc_toggle_framed title="Why do we use it?"]<br>'+ dummy_conent + '<br>[/dt_sc_toggle_framed]',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        }					
                    ]
                },
                {
                    text: 'Tooltip',
                    value: 'tooltip',
                    onclick: function() {
					editor.windowManager.open( {
							title: 'Insert Tooltip',
							body: [{
								type: 'listbox',
								name: 'type',
								label: 'Type',
								tooltip: 'Select type of tooltip',
								'values': [
									{text: 'Default', value: 'default'}, {text: 'Boxed', value: 'boxed'}
								]
							},
							{
								type: 'listbox',
								name: 'position',
								label: 'Position',
								tooltip: 'Select position of tooltip',
								'values': [
									{text: 'Top', value: 'top'}, {text: 'Right', value: 'right'}, {text: 'Bottom', value: 'bottom'}, {text: 'Left', value: 'left'}
								]
							},
							{
								type: 'textbox',
								name: 'bgcolor',
								label: 'Background Color',
								classes: 'dt-color-picker',
								onPostRender: function(e){
									jQuery('.mce-dt-color-picker').wpColorPicker();
								},
							},
							{
								type: 'textbox',
								name: 'textcolor',
								label: 'Text Color',
								classes: 'dt-color-picker',
								onPostRender: function(e){
									jQuery('.mce-dt-color-picker').wpColorPicker();
								},
							},
							{
								type: 'textbox',
								name: 'tooltip',
								label: 'Tooltip Text',
								tooltip: 'This text will display as tooltip',
								value: 'Consectetur adipisicing elit'
							},
							{
								type: 'textbox',
								name: 'href',
								label: 'Link',
								tooltip: 'Put URL to the button'
							},
							{
								type: 'listbox',
								name: 'target',
								label: 'Target',
								tooltip: 'Setting target to _blank will open your link in new tab',
								'values': [
									{text: 'Blank', value: '_blank'}, {text: 'New', value: '_new'}, {text: 'Parent', value: '_parent'},
									{text: 'Self', value: '_self'}, {text: 'Top', value: '_top'}
								]
							}],
							onsubmit: function( e ) {
								var $out = '[dt_sc_tooltip';
								
								jQuery.each( e.data, function( key, value ) {
									if(value !== "") {
										$out += ' ' + key + '="'+ value+'"';
									}
								});
								
								$out += ']lorem ipsum[/dt_sc_tooltip]';
								editor.insertContent( $out );
							}
						});
                    }
                },
                {
                    text: 'Others',
                    menu: [
                        {
                            text: 'Team',
							value: '<br>[dt_sc_team name="" role="" image="" twitter="" facebook="" google="" linkedin="" /]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        },
                        {
                            text: 'Testimonial',
                            value: '<br>[dt_sc_testimonial name="Lorem" image=""]' + dummy_conent + '[/dt_sc_testimonial]<br>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }
                        }
                    ]
                }
           ]
        });
		
		editor.addCommand("scnOpenDialog", function(obj) {
			scnSelectedShortcodeType = obj.identifier;
			jQuery.get(url + "/dialog.php", function(b) {
				jQuery("#scn-dialog").remove();
				jQuery("body").append(b);
				jQuery("#scn-dialog").hide();
				var f = jQuery(window).width();
				b = jQuery(window).height();
				f = 720 < f ? 720 : f;
				f -= 80;
				b -= 84;
				tb_show("Insert Shortcode", "#TB_inline?width=800"+ "&height=400&inlineId=scn-dialog");
				jQuery("#scn-options h3:first").text("Customize the " + obj.title + " Shortcode");
			});
		});
		
    });
})();